EDIT - feature request #9329

Implement sec reference as original source in dataportal
11/25/2020 08:10 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.23

Severity: blocker

Description

This is a remaining issue from #9222 as model change is required first.
Also have in mind to adapt jsonConfigurations.xml accordingly in remote. Currently there is

Synonym.sec
Taxon.sec

see #9329#note-7

Related issues:

Related to EDIT - feature request #9328: Adapt Editor to switch to originalSo... Closed
Related to EDIT - feature request #10081: Show name in source for sec ref of ... Closed
Blocked by EDIT - feature request #9327: Make taxon secundum reference an ori... Closed
Copied from EDIT - task #9222: Adapt dataportal to switch to originalSource f... Closed

Associated revisions

Revision cf8e9d9f - 04/29/2021 11:49 AM - Andreas Kohlbecker

ref #9329 adapting data portal to ->sec reference being now ->secSource->citation

Revision d1596444 - 04/29/2021 11:59 AM - Andreas Kohlbecker

ref #9329 adapting json configuration to new sec reference structure and fields

Revision 4¢380cc0 - 04/29/2021 12:18 PM - Andreas Kohlbecker

ref #9329 adapting data portal to ->sec reference being now ->secSource->citation

History

#1 - 11/25/2020 08:10 PM - Andreas Miuller

- Related to feature request #9328: Adapt Editor to switch to originalSource for taxon secundum added

#2 - 11/25/2020 08:11 PM - Andreas Miller

- Blocked by feature request #9327: Make taxon secundum reference an original source added

#3 - 11/25/2020 08:12 PM - Andreas Miller

- Description updated

#4 - 11/25/2020 08:13 PM - Andreas Miiller

- Copied from task #9222: Adapt dataportal to switch to originalSource for remaining single sourced classes added

#5 - 01/27/2021 03:15 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#6 - 03/10/2021 02:55 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22
#7 - 03/17/2021 02:19 PM - Andreas Miiller
- Description updated

AK:

diese Werte stehen werden an eu.etaxonomy.cdm.remote.json.util.CardinalityPropertyFilter.setExceptions() Gbergeben und bewirken dass diese
Properties immer ausgegeben werden unabhéngig davon ob toOne Relations ausgegeben werden sollen oder nicht.
Transiente Getter werden nicht serialisiert, es sein denn, diese werden in einem BeanProcessor explizit dem JSONObject hinzugefiigt.

Fir eine méglichst reibungslose Umstellung miisste also der TaxonBaseBeanProcessor.processBeanSecondStep() so erweitert werden, dass .sec
hinzugefuigt wird. Allerdings stellt sich die Frage ob wir nicht besser gleich aus SingleSource umstellen, mit der vorgeschlagenen Anpassung von
TaxonBaseBeanProcessor konnte man die Umstellung schrittweise vollziehen:

1. Schritt
o ldschen von Synonym.secTaxon.sec; statdessen die single Source sec ref einfligen so dass diese schon ausgegeben wird.
o sec in processBeanSecondStep einbauen
2. Schritt:
o Umstellen den Portals auf single source und
o |6schen der sec Ausgabe im TaxonBaseBeanProcessor

#8 - 03/19/2021 03:51 PM - Andreas Miiller
- Tags set to 5.22

#9 - 03/19/2021 03:51 PM - Andreas Miiller
- Priority changed from New to Highest

- Severity changed from normal to major

#10 - 04/19/2021 02:47 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#11 - 04/28/2021 05:56 PM - Andreas Kohlbecker

- Severity changed from major to blocker

#12 - 04/29/2021 11:50 AM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 20

#13 - 04/29/2021 12:24 PM - Andreas Kohlbecker
- Tags deleted (5.22)
- Status changed from In Progress to Closed

- % Done changed from 20 to 100

#14 - 05/17/2021 09:52 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.23

#15 - 06/24/2022 12:25 PM - Andreas Miiller

- Related to feature request #10081: Show name in source for sec ref of accepted taxon added
